Web analytics
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
POST | |
POST | |
POST | |
POST | |
POST |
Create web analytics content autopilot proposals
Saves reviewed Markdown and its structured package without publishing it.
Required API key scopes
web_analytics:writePath parameters
- idstring
Request parameters
- proposed_markdownstring
- content_package
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_proposals /:id /editExample response
Status 200
RESPONSE
Create web analytics content autopilot proposals
Returns validated Markdown and structured JSON without publishing it.
Required API key scopes
web_analytics:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_proposals /:id /exportExample response
Status 200
RESPONSE
Create web analytics content autopilot proposals
Returns a proposal to generation while keeping its previous result inspectable in history.
Required API key scopes
web_analytics:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_proposals /:id /regenerateExample response
Status 202
RESPONSE
Create web analytics content autopilot proposals
Rejects a proposal without changing the public site.
Required API key scopes
web_analytics:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_proposals /:id /rejectExample response
Status 200
RESPONSE
Create web analytics content autopilot runs
Stops a pending or generating run without creating content writes.
Required API key scopes
web_analytics:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_runs /:id /cancelExample response
Status 200
RESPONSE
Create web analytics content autopilot runs
Captures the current profile and creates one pending on-demand content research run.
Required API key scopes
web_analytics:writeRequest parameters
- profile_idstring
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_runs /startExample response
Status 202
RESPONSE





